#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		debug_package	%{nil}
%define		fullver		%(cat /etc/kernel-devel)
%if "%{fullver}" == ""
%define fullver	%(uname -r)}
%endif
%define		_kernvers	%(echo %{fullver} | cut -d '-' -f1)
%define		_extradir	/lib/modules/%{fullver}/extra/drivers/video
#-----------------------------------------------------------------------------
Name		:	open-gpu-kernel-modules
Version		:	535.129.03
Release		:	17.2.0.rel%{?dist}
Summary		:	NVIDIA Linux Open GPU Kernel Module Source

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://github.com/NVIDIA/open-gpu-kernel-modules/tags

Source0		:	%{name}-%{version}.tar.gz
#----------------------------------------------------------------------------
BuildRequires	:	linux-devel

Requires	:	linux		=	%{_kernvers}

Provides	:	multiversion(kernel)
#-----------------------------------------------------------------------------
%description

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license COPYING
%config (noreplace) %{_sysconfdir}/modprobe.d/%{name}.conf
%{_extradir}/nvidia.ko
%{_extradir}/nvidia-*.ko

#-----------------------------------------------------------------------------
%posttrans
#reloading all module
/usr/sbin/depmod -a

%postun
#forgetting abot nvidia module
/usr/sbin/depmod -a

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
%build

%{__make}							\
	SYSSRC=/usr/src/kernels/`cat /etc/kernel-devel`		\
	-j `nproc`

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%install

install								\
	-m644							\
	-Dt "%{buildroot}%{_extradir}"				\
	kernel-open/*.ko

%{__mkdir_p}							\
	%{buildroot}%{_sysconfdir}/modprobe.d	

cat > %{buildroot}%{_sysconfdir}/modprobe.d/%{name}.conf << EOF
# Force module to load even on unsupported GPUs
options nvidia NVreg_OpenRmEnableUnsupportedGpus=1
# Make sure "nouveau" driver is black listed
blacklist nouveau
EOF

#-----------------------------------------------------------------------------
%changelog
